org.yaml.snakeyaml.events

## Class Event

- java.lang.Object
- - org.yaml.snakeyaml.events.Event

Direct Known Subclasses:
  CollectionEndEvent, CommentEvent, DocumentEndEvent, DocumentStartEvent, NodeEvent, StreamEndEvent, StreamStartEvent

    public abstract class Event
    extends Object

Basic unit of output from a `Parser` or input of a `Emitter`.

### Nested Class Summary

Nested Classes
`static class` `Event.ID`

### Constructor Summary

Constructors
Constructor and Description
`Event(Mark startMark, Mark endMark)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`protected String` `getArguments()` Generate human readable representation of the Event
`Mark` `getEndMark()`
`abstract Event.ID` `getEventId()` Get the type (kind) if this Event
`Mark` `getStartMark()`
`int` `hashCode()`
`boolean` `is(Event.ID id)` Check if the Event is of the provided kind
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Event

    public Event(Mark startMark,
         Mark endMark)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getStartMark

    public Mark getStartMark()

#### getEndMark

    public Mark getEndMark()

#### getArguments

    protected String getArguments()

Generate human readable representation of the Event

Returns:
  representation fore humans
See Also:
  "__repr__ for Event in PyYAML"

#### is

    public boolean is(Event.ID id)

Check if the Event is of the provided kind

Parameters:
  `id` - - the Event.ID enum
Returns:
  true then this Event of the provided type

#### getEventId

    public abstract Event.ID getEventId()

Get the type (kind) if this Event

Returns:
  the ID of this Event

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`